# Class ProfileIndexReading

java.lang.Object
htsjdk.tribble.example.ProfileIndexReading

public class ProfileIndexReading extends Object

## Constructor Summary

Constructors
Constructor
Description
`ProfileIndexReading()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
This class times the loading of an index file a number of times, and prints the result of each trial
`static void`
`printUsage()`
print usage information

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProfileIndexReading

public ProfileIndexReading()

## Method Details

### main

public static void main(String[] args)
This class times the loading of an index file a number of times, and prints the result of each trial

Parameters:
  `args` - Two parameters: 1) The number of trials to run 2) Index file to load

### printUsage

public static void printUsage()
print usage information